Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.client
Class NullRequestHandler

    java.lang.Object
      org.codehaus.xfire.client.NullRequestHandler

All Implemented Interfaces:
  ClientHandler

    public abstract class NullRequestHandler

extends java.lang.Object
implements ClientHandler

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Constructor Summary
`NullRequestHandler()`

Method Summary
`Attachments` | `getAttachments()` Get the attachments to send with the request.
`boolean` | `hasRequest()`
`void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)` Write the request to the XMLStreamWriter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.client.ClientHandler
`handleResponse`

Constructor Detail

### NullRequestHandler

    public NullRequestHandler()

Method Detail

### hasRequest

    public boolean hasRequest()

  Specified by:
    `hasRequest` in interface `ClientHandler`
  Returns:
    Whether or not there is a request to write.

### writeRequest

    public void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                      throws javax.xml.stream.XMLStreamException

  Description copied from interface: `ClientHandler`
  Write the request to the XMLStreamWriter.

  Specified by:
    `writeRequest` in interface `ClientHandler`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttachments

    public Attachments getAttachments()

  Description copied from interface: `ClientHandler`
  Get the attachments to send with the request.

  Specified by:
    `getAttachments` in interface `ClientHandler`
  Returns:
    Return `null` if there are no attachments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.